Subject: Re: bug#31750: simplify and tune Emacs stack-related allocation

From: Noam Postavsky <[email-masked]>
Date: Sat, 09 Jun 2018 23:30:30 -0400

Paul Eggert <[email-masked]> writes:

> Subject: [PATCH 01/10] New mint_ptr representation for C pointers
>
> * src/lisp.h (make_mint_ptr, mint_ptrp, xmint_pointer): New functions.

> Use mint pointers instead of merely save pointers.

I think it would be helpful to add a brief summary of the tradeoffs
between save pointers and mint pointers to the commit message.

> +/* A mint_ptr object OBJ represents a pointer P.  OBJ is preferably a
> +   Lisp integer I such that XINTPTR (i) == P, as this is more efficient.
                   ^                    ^
                   I guess one of these is in the wrong case.